package com.sd.cavphmi.bean
/***车辆位资数据
 *{"vehicleData":[{"altitude":0.00,"brake":30,"gasPedal":20,"gear":2,"heading":208.61645962016533,"latitude":43.83869937,"longitude":125.14344480,"obuCode":"O-HK-2687","reportTime":1750300843548,"speed":0.00,"vehicleId":"1694264612474306561","vehiclePlate":"吉AC242","vehiclePurpose":"avp","vehiclePurposeName":"AVP车辆","wheelAngle":-375}],"wsTime":1750300843548}
 * **/
data class CarVehicle(
    val vehicleData: List<CarVehicleData>,
    val wsTime: Long
)

data class CarVehicleData(
    val altitude: Double,
    val brake: Int,
    val gasPedal: Int,
    val gear: Int,
    val heading: Float,
    val latitude: Double,
    val longitude: Double,
    val obuCode: String,
    val reportTime: Long,
    val speed: Float,//m/s
    val vehicleId: String,
    val vehiclePlate: String,
    val vehiclePurpose: String,
    val vehiclePurposeName: String,
    val wheelAngle: Int
)