package com.sd.cavphmi.bean

/***联网车辆状态数据
 * {"vehicleStats":{"total":1,"avp":1},"vehicleStatusList":[],"wsTime":1750301590009}
 * **/
 data class VehicleStats(
    val vehicleStats: VehicleStatsX,
    val vehicleStatusList: List<VehicleStatusList>,
    val wsTime: Long
)

data class VehicleStatsX(
    val avp: Int,
    val total: Int
)
data class VehicleStatusList(var driveMode:Int)