package com.sd.cavphmi.net


import okhttp3.Interceptor
import okhttp3.Response
import javax.inject.Inject

/**
 * 公共参数拦截处理器 http://blog.csdn.net/spinchao/article/details/52932145
 */
class HeadParamsInterceptor @Inject constructor() : Interceptor {


    override fun intercept(chain: Interceptor.Chain): Response {
//        LogUtil.d("----------token=" + MyPres.token)
        var original = chain.request()
//        var path = original.url.encodedPath.substringAfterLast("/")
        var request = original.newBuilder()
        request.header("Tenant-Id", "1484465260508323841")
        return chain.proceed(request.build())
    }

}