package com.sd.cavphmi.net.httpmothod


import com.sd.cavphmi.bean.ParkLinePlan
import com.sd.cavphmi.bean.OrderBean
import com.sd.cavphmi.bean.SpaceNoBean
import com.sd.cavphmi.net.MyBaseResource
import okhttp3.RequestBody
import retrofit2.http.Body
import retrofit2.http.POST

interface ClientRetrofitMethod {

    /**
     * 获取配置文件
     */
//    @Headers("Cache-Control:public,max-age=3600")
//    @GET("http://59.175.163.12/serv-addr/server.json")
//    fun getConfigurations(): Observable<List<ConfigurationBean>>
//
    /***查询车位信息***/
    @POST("hkapi/pms/v1/parkingSpace/spaceNo")
    suspend fun getSpaceData(@Body body: RequestBody): MyBaseResource<SpaceNoBean>

    /***获取订单信息**/
    @POST("avp/avpMonitor/getOrderParkingInfoForPlate")
    suspend fun getOrderData(@Body body: RequestBody): OrderBean

    /***获取网络质量**/
    @POST("avp/siteLine/getNetworkQuality")
    suspend fun getTimeOut(): Any

    /***获取路径规划**/
    @POST("avp/linePlaning/get")
    suspend fun getLinePlaning(@Body body: RequestBody): ParkLinePlan


    /**
     * 话题根据评论ID查询所有回复
     */
//    @GET("cm/topic/reply/v1/getByCommentId")
//    fun getTopicByAnswerId(@Query("id") id: String): Observable<BaseResponse<List<UserAnswer>>>

}