package com.sd.cavphmi.bean
/**感知目标物
 * {"objectData":[{"altitude":0.0,"deviceCode":"ALL","id":"rsm","latitude":0.0,"longitude":0.0,"participant":[{"gear":0,"heading":59.51892445105614,"latitude":43.836595395579934,"longitude":125.13730164662486,"ptcId":"0","ptcType":"non-motor","size":{"length":1.7816076278686523,"width":0.95207178592681885,"height":1.080740213394165},"speed":0.0030517578125}],"reportTime":1750148176068}],"wsTime":1750148130604}{"objectData":[{"altitude":0.0,"deviceCode":"ALL","id":"rsm","latitude":0.0,"longitude":0.0,"participant":[{"gear":0,"heading":59.51892445105614,"latitude":43.836595395579934,"longitude":125.13730164662486,"ptcId":"0","ptcType":"non-motor","size":{"length":1.7816076278686523,"width":0.95207178592681885,"height":1.080740213394165},"speed":0.0030517578125}],"reportTime":1750148176068}],"wsTime":1750148130604}
 * 
 * ***/
 data class PerTarget(
    val objectData: List<ObjectData>,
    val wsTime: Long
)

data class ObjectData(
    val altitude: Double,
    val deviceCode: String,
    val id: String,
    val latitude: Double,
    val longitude: Double,
    val participant: List<Participant>,
    val reportTime: Long
)

data class Participant(
    val gear: Int,
    val heading: Double,
    val latitude: Double,
    val longitude: Double,
    val ptcId: String,
    val ptcType: String,
    val size: Size,
    val speed: Double
)

data class Size(
    val height: Double,
    val length: Double,
    val width: Double
)